## ros-humble-object-recognition-msgs 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(object_recognition_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Disable Wredundant-decls warnings since rosidl generates redundant function declarations
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wno-redundant-decls")
endif()

# generate the messages and the actionlib server for ROS
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(action_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(shape_msgs REQUIRED)

set(msg_files
	"msg/ObjectInformation.msg"
	"msg/ObjectType.msg"
	"msg/RecognizedObject.msg"
	"msg/RecognizedObjectArray.msg"
	"msg/Table.msg"
	"msg/TableArray.msg"
)
set(srv_files
	"srv/GetObjectInformation.srv"
)
set(action_files
	"action/ObjectRecognition.action"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  ${action_files}
  DEPENDENCIES
		action_msgs
		std_msgs
		geometry_msgs
		sensor_msgs
		shape_msgs
)

ament_export_dependencies(rosidl_default_runtime)

# define the project
ament_package()

=== debian/changelog ===
ros-humble-object-recognition-msgs (2.0.0-3jammy) jammy; urgency=high

  * Merge pull request #11 <https://github.com/wg-perception/object_recognition_msgs/issues/11> from PickNikRobotics/master
    Port to ROS2
  * Suppress -Wredundant-decls warnings (#1 <https://github.com/wg-perception/object_recognition_msgs/issues/1>)
  * fixing msg port
  * Update package.xml build tool & enable message generation
  * Update package.xml format
  * Update package.xml dependencies
  * Update CMakeLists package command
  * Update CMakeLists file list & interface generator command
  * Update CMakeLists find_package list
  * Default to C++ 14 & cmake C++ flags
  * Update CMakeLists cmake version
  * Specify Header origin
  * Contributors: Jonathan Binney, Michael Lautman, Yu, Yan, ibaiape

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 23 Jul 2020 07:00:00 -0000

ros-humble-object-recognition-msgs (0.4.2-3jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048
  * Contributors: Jonathan Binney, Shane Loretz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 23 Apr 2020 07:00:00 -0000

ros-humble-object-recognition-msgs (0.4.1-3jammy) jammy; urgency=high

  * have the package be architecture independent
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 11 May 2014 07:00:00 -0000

ros-humble-object-recognition-msgs (0.4.0-3jammy) jammy; urgency=high

  * "0.4.0"
  * fixes #3 <https://github.com/wg-perception/object_recognition_msgs/issues/3> by moving docs to object_recognition_ros
    remove docs as their built depends on ecto. Put everything in object_recognition_ros
  * let message generation handle Python
  * no need for stack.xml now that Fuerte support is dropped
  * remove redundant info in Table.msg
  * add headers to the Table messages
  * drop Fuerte support
  * change email address
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 08 Dec 2013 08:00:00 -0000

ros-humble-object-recognition-msgs (0.3.19-3jammy) jammy; urgency=high

  * use the mesh from shape_msgs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Mar 2013 07:00:00 -0000

ros-humble-object-recognition-msgs (0.3.18-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Mar 2013 07:00:00 -0000

ros-humble-object-recognition-msgs (0.3.17-3jammy) jammy; urgency=high

  * rename the type to key to keep the DB paradigm
  * add dependencies
  * update the dependencies
  * get the compile to compile even without ecto
  * rename ObjectId to ObjectType
  * add basic docs
  * no need for the include folder that was only used by tabletop
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Mar 2013 08:00:00 -0000

ros-humble-object-recognition-msgs (0.3.16-3jammy) jammy; urgency=high

  * add the std_msgs dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 27 Feb 2013 04:19:00 -0000

ros-humble-object-recognition-msgs (0.3.15-3jammy) jammy; urgency=high

  * fix unneeded dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 26 Feb 2013 19:19:00 -0000

ros-humble-object-recognition-msgs (0.3.14-3jammy) jammy; urgency=high

  * have the ecto cells be generated in object_recognition_ros
  * CMake cleanups
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Feb 2013 08:00:00 -0000

ros-humble-object-recognition-msgs (0.3.13-3jammy) jammy; urgency=high

  * use the proper catkin variable
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 13 Jan 2013 08:00:00 -0000

ros-humble-object-recognition-msgs (0.3.12-3jammy) jammy; urgency=high

  * remove some warnings
  * remove some compilation error
  * added an optional ROI into the object recognition action
  * add an other conversion routine
  * Contributors: Tommaso Cavallari, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 04 Jan 2013 08:00:00 -0000

ros-humble-object-recognition-msgs (0.3.11-3jammy) jammy; urgency=high

  * install to the right location on Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Nov 2012 01:06:00 -0000

ros-humble-object-recognition-msgs (0.3.10-3jammy) jammy; urgency=high

  * try to fix the Unknown CMake command "find_program_required".
  * added header to RecognizedObjectArray
  * remove the copyright tag
  * Contributors: Tommaso Cavallari, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Nov 2012 00:50:00 -0000

ros-humble-object-recognition-msgs (0.3.9-3jammy) jammy; urgency=high

  * fix the install paths
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Nov 2012 07:00:00 -0000

ros-humble-object-recognition-msgs (0.3.8-3jammy) jammy; urgency=high

  * fix install on Fuerte
  * find ecto so that we can check whether we are on Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 01 Nov 2012 07:00:00 -0000

ros-humble-object-recognition-msgs (0.3.7-3jammy) jammy; urgency=high

  * call generate_messages before catkin_package to comply to the new API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Oct 2012 07:00:00 -0000

ros-humble-object-recognition-msgs (0.3.6-3jammy) jammy; urgency=high

  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 11 Oct 2012 07:00:00 -0000

ros-humble-object-recognition-msgs (0.3.5-3jammy) jammy; urgency=high

  * remove support for Electric which was broken anyway since we are using Shape from Fuerte and above
  * comply to the new API
  * comply to the new catkin API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 10 Oct 2012 07:00:00 -0000



=== debian/control ===
Source: ros-humble-object-recognition-msgs
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-shape-msgs, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/object_recognition
Standards-Version: 3.9.2

Package: ros-humble-object-recognition-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-shape-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Object_recognition_msgs contains the ROS message and the actionlib definition used in object_recognition_core

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-object-recognition-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
